These are chat archives for TypeStrong/atom-typescript

18th
Jun 2016
AvilanceStudios
@AvilanceStudios
Jun 18 2016 02:20
Why is atom so buggy ;(
Hector Mota
@mota57
Jun 18 2016 12:54
I have this error ''bash' is not recognized as an internal or external command,' when I press cmd+shift+B on windows. Can I change the execution so instead of calling bash ..call the cmd?
Anirudh Gali
@anirudhgali
Jun 18 2016 15:56
apm install atom-typscript is showing up error
/**
  • System configuration for Angular 2 samples
  • Adjust as necessary for your application needs.
    */
    (function(global) {
    // map tells the System loader where to look for things
    var map = {
    'app': 'app', // 'dist',
    '@angular': 'node_modules/@angular',
    'angular2-in-memory-web-api': 'node_modules/angular2-in-memory-web-api',
    'rxjs': 'node_modules/rxjs'
    };
    // packages tells the System loader how to load when no filename and/or no extension
    var packages = {
    'app': { main: 'main.js', defaultExtension: 'js' },
    'rxjs': { defaultExtension: 'js' },
    'angular2-in-memory-web-api': { main: 'index.js', defaultExtension: 'js' },
    };
    var ngPackageNames = [
    'common',
    'compiler',
    'core',
    'http',
    'platform-browser',
    'platform-browser-dynamic',
    'router',
    'router-deprecated',
    'upgrade',
    ];
    // Individual files (~300 requests):
    function packIndex(pkgName) {
    packages['@angular/'+pkgName] = { main: 'index.js', defaultExtension: 'js' };
    }
    // Bundled (~40 requests):
    function packUmd(pkgName) {
    packages['@angular/'+pkgName] = { main: '/bundles/' + pkgName + '.umd.js', defaultExtension: 'js' };
    }
    // Most environments should use UMD; some (Karma) need the individual index files
    var setPackageConfig = System.packageWithIndex ? packIndex : packUmd;
    // Add package entries for angular packages
    ngPackageNames.forEach(setPackageConfig);
    var config = {
    map: map,
    packages: packages
    };
    System.config(config);
    })(this);

npm ERR! node v0.10.40
npm ERR! npm v2.13.3
npm ERR! file /home/agali/.atom/.apm/esprima/2.7.2/package/package.json
npm ERR! code EJSONPARSE

npm ERR! Failed to parse json
npm ERR! Unexpected token '\u0000' at 1:1016
npm ERR! data found!","homepage":"https://github.com/isaacs/inherits#readme"}